<?php include_once 'codebase/hyperframe.php' ?>
<head>
<title>A database-free CMS with live page editing</title></head>
<body>
<h1>Hyperframe !CMS</h1>

<h3>our inhouse-developed website content delivery system.</h3>

<p>Hyperframe performs a similar core function to &#39;Content management systems&#39; such as Joomla!, Drupal or WordPress, - although it differs in many fundamental aspects from those packages.</p>

<p>Probably the most notable difference is that being a flat-file CMS, content is stored as conventional HTML webpages rather than in an SQL database. This arrangement was chosen primarily for security, since it eliminates the issue of <em>SQL code injection</em>, which is at the root of the vast majority of CMS-based website hackings. It has other advantages, notably that it is very easy to import existing static webpages into a Hyperframe site.</p>

<table align="center" border="0" cellpadding="1" cellspacing="1" style="width: 98%; text-align: center;">
  <tbody>
    <tr>
      <td><img alt="" onclick="hf_imgzoom_popup(this.src)" src="img/sample/csp.png" style="width: 199px; height: 130px; border-width: 1px; border-style: solid;" /></td>
      <td><img alt="" onclick="hf_imgzoom_popup(this.src)" src="img/sample/iwrsite.jpg" style="width: 182px; height: 130px; border-width: 1px; border-style: solid;" /></td>
      <td><img alt="" onclick="hf_imgzoom_popup(this.src)" src="img/sample/fgsite.jpg" style="width: 196px; height: 130px;" /></td>
    </tr>
  </tbody>
</table>

<p>A further innovation is the use of what we term reflex page loading, instead of the parametric URLs favoured by most CMS. With reflex loading, the URL you see in the browser bar is the actual location of the page you are viewing, just as if it were a non-CMS static page. This makes things tidy and simple, both for site visitors wanting to quote the location of a page, and just as importantly, for searchengines trying to rank your site.</p>

<p>Most people reading this page will probably be thinking, &quot;But I don&#39;t want to have to spend loads of time learning another CMS&quot; - In which case, you may be pleasantly surprised to see that Hyperframe&nbsp; makes productive use of your existing skillset in terms of html, php and javascript knowledge. Provided you are reasonably confident in your ability with these standard site-building tools, the amount of new ground you need to cover in order to use Hyperframe effectively is surprisingly small.&nbsp; You don&#39;t have to gen-up on dozens of multi-tabbed configuration dialogs, or burn midnight oil learning an obscure and idiosyncratic &#39;duck code&#39; with which to build templates.&nbsp; It&#39;s mostly done with good old php, so if you are happy using that, you can get sitebuilding very quickly indeed.</p>

<p>Aimed at the professional or enthusiast, our policy to pitch the product at those with a reasonable knowledge of website construction rather than the absolute beginner. Not having to cater for beginners eliminates an enormous amount of bloat in the form of hand-holding wizards and input-checking routines.&nbsp;At the same time, though, excess complexity or needlessly labyrinthine ways of working are avoided as far as practicable, the aim being to keep the system code understandable to a coder of average ability.&nbsp;Thus, whilst beginners might find some book-reading necessary before they get to grips with Hyperframe, once armed with the basic skills, its more advanced possibilities should not be beyond the average person&#39;s grasp. We term this our <em>&#39;no lamers, no rocket science&#39;</em> policy.</p>

<p>With this in mind, Hyperframe provides few of the &#39;wizards&#39; or hand-holding configuration dialogs which make-up the bulk of the system in mainstream CMS aimed at total novice users. Instead, configuration is largely by direct editing of files, an arrangement which keeps the package small and fast.</p>

<p>Content may be created online using the integrated copy of CKEditor, or pages may be uploaded with FTP or a filemanager, having been created and tested on a local computer. This gives great flexibility, and the option to work the way that best suits you.&nbsp;&nbsp;</p>

<p>A sophisticated menu system provides for easy site navigation from one place.</p>

<p>In a Hyperframe-derived site, almost nothing is permanently fixed. You are free to modify styles and code with php and javascript, even inside page content itself. With the exception of a few imported modules, the system code is written in easy-to-understand functions, most of which avoid the use of OOP or other advanced-level structures. Thus, if the system doesn&#39;t do what you want, creating a derivative work that does is within the capability of the average programmer.&nbsp;</p>

<p>A key objective here is that it should be possible to create sites which do not bear any visual hallmark of being based on Hyperframe, but which instead are completely your own individual or corporate Web statement.</p>

<p>This default content uses an intentionally bland presentation, with just enough styling to make it look passably attractive. We provide the tools, you provide the ideas and design work.</p>

</body>