<?php include_once 'codebase/hyperframe.php' ?>
<h1>Captcha Plugin</h1>

<h4>headaches for robots, not for humans</h4>

<p>An innovative numeric captcha which protects against robot form posting or harvesting of addresses, without the use of the highly distorted text which so frequently causes problems and aggravation for site visitors.&nbsp;</p>

<h3>Example:</h3>

<p><?php
include(plugin('captcha'));

$captcha = new captcha();

$captcha->set("captcha",1,1000000);
$captcha->cksum2js();
$thispage=$_SERVER['PHP_SELF'];
$thiscaptcha=gets('captcha');

echo <<<END
<form name="contactform" enctype="application/x-www-form-urlencoded" method="post" action="$thispage">
<input class="inputbox" type="text" name="captcha"  size="30" maxlength="40" value="" onBlur='captcha_validate(this.value)'>
  $thiscaptcha[1] $thiscaptcha[2] $thiscaptcha[3]
END;
?><script>function captcha_validate(captcha_response){
  var contactform=document.forms.contactform;
  if (captcha_response>0 && captcha_cksum == sha256(captcha_response).substring(1,3)){
    captcha_validated=true;
    contactform.captcha.style.background='#bbffaa';
  }else{
    contactform.captcha.style.background='red';
    captcha_validated=false;
  }
}</script></p>

<p>To see different values, refresh this page. You will note that if you enter a response and then tab away from the response field, the field changes to green if you have given the correct response, red if you have gotten it wrong. This saves a great deal of frustration caused by incorrect submissions. However, since making multiple entries will result in a large number of incorrect responses being flagged as &#39;green&#39; as well as the single correct one,&nbsp; this self-check mechanism does not provide a robot with a reliable means of obtaining the answer by brute force.</p>

<p>To use, invoke the plugin with:</p>

<pre>
&lt;php include(plugin(&#39;captcha&#39;))&quot;?&gt; Then do...</pre>

<pre>
$captcha = new captcha();
$captcha-&gt;set();
$captcha-&gt;cksum2js();
</pre>

<p>... and then obtain the captcha data from the session as:</p>

<pre>
$captcha_data=gets(&quot;captcha&quot;);
$captcha_data[&quot;plain&quot;] = plaintext challenge
$captcha_data[1] = first section of obfuscated challenge
$captcha_data[2] = second section of obfuscated challenge
$captcha_data[3] = third section of obfuscated challenge
$captcha_data[&quot;hash&quot;] = hash of plaintext challenge</pre>

<p>captcha_set() takes three optional arguments; the name of the returned session array variable (in case there is a need for multiple captchas) and the random range lower and upper limits.</p>

<p>The captcha validation mechanism (for use on form submissions) requires that a php session be established. It will therefore not work on computers which refuse temporary session cookies.</p>

<p>The obfuscated challenge has altered word spacing to make robotic word recognition more difficult. It is supplied in three sections to permit display of each section in&nbsp; a separate table, span or div field if desired. This makes further difficulties for &#39;bots, especially if the question parts are nonconsecutive in the page source. The sections can be joined into a single line if this is not felt necessary.</p>

<p>Note that unlike many commercial captchas, nothing is written to the webpage by the plugin.<br />
It&#39;s left up to you to format the returned data as you want it. A little more work, but more flexible.</p>

<p>To test a response (usually on a new page instance unless Ajax is used) invoke the plugin and do:</p>

<pre>
&lt;php include(plugin(&#39;captcha&#39;))&quot;?&gt;
$captcha = new captcha();
$arewehuman=$captcha-&gt;validate($_POST[&#39;captcha&#39;]);</pre>

<p>-which should return 1 for human, 0 for robot, false for no captcha data.</p>

<p><strong>To see the captcha in action in a typical real-world application, visit the Contact Form link on the side menu. </strong></p>

<p>&nbsp;</p>
