<?php include_once 'codebase/hyperframe.php' ?><html>
<head>
  <title>The Contact Form</title>
  <meta name="description" content="Creating your own contact form using the plugin">
</head>
<body>
<h1>Using the Contact Form Plugin</h1>

<p><img alt="The contact form, as supplied. You can customize most elements." class="center caption" onclick="hf_imgzoom_popup(this.src)" src="img/editing/contact.jpg" style="border-width: 1px; border-style: solid; width: 521px; height: 359px; margin-top: 3px; margin-bottom: 3px;" /></p>

<p>The contact form plugin can be embedded into any Hyperframe page, or even used as a footer on multiple pages if you wish. The small amount of php coding work required is best done by directly editing the page sourcecode rather than using the online editor.</p>

<p>Insert the following code into the page body:</p>

<pre>
<span style="color:#0000CD;">&lt;?php

setg(&#39;our_telephone&#39;,&#39;01 1234 567&#39;,&#39;contactus&#39;);
setg(&#39;domain_name&#39;,&#39;example&#39;,&#39;contactus&#39;);
setg(&#39;toplevel_domain&#39;,&#39;com&#39;,&#39;contactus&#39;);
setg(&#39;form_mail_account&#39;,&#39;webform&#39;,&#39;contactus&#39;);
setg(&#39;direct_mail_account&#39;,&#39;webform&#39;,&#39;contactus&#39;);
setg(&#39;subject&#39;,&#39;Website Enquiry&#39;,&#39;contactus&#39;);

include(plugin(&#39;contactus&#39;));

contactus_drawform();

?&gt;</span></pre>

<p>That really is all that&#39;s needed for a basic form. The settings fields should be self-explanatory. Note that you modify the middle section of each, only.<br />
The email address to which the form is sent, in this case, would be &#39;webform -at- example.com&#39; - The @ symbol is added by the software. &nbsp;</p>

<p>If you&#39;re not too familiar with php, just remember that it has to be typed <em>exactly</em> as shown,&nbsp; and in particular, missing out any punctuation is likely to result in the entire webpage (not just the form) failing to load.</p>

<p>Once you have created your php code, you can add surrounding&nbsp;text or images in the online editor if you prefer. The php section will appear as red marker, and provided you don&#39;t delete that marker, all will be well. Note that since you are now editing a page containing a&nbsp; script, you need to be logged on with at least Manager priveleges, and need to refresh the page if you&#39;ve only just logged-on. .</p>

<h4>Additional features:</h4>

<p>To provide an alternative method of contacting you if the customer dislikes forms, php calls exist to add an email address, a link that launches an email program, and a telephone number as follows:&nbsp;</p>

<pre>
<span style="color:#0000CD;">echo  contactus_launch_mailclient(&#39;email us&#39;) ;
echo  contactus_show_email(&#39;this address&#39;) ;
echo contactus_show_tel(&#39;this number&#39;) ;</span>
</pre>

<p>These will place these appropriate items in the page as required.&nbsp; &#39;This address&#39; is the text which will be displayed as a hyperlink.</p>

<p>We do it this way so as not to give harvesting robots even the faintest smell of an email address, to get them all excited.<br />
Since there are now concerns over phone numbers possibly being harvested by dodgy telesales outfits, it makes sense to protect that as well, although in this case we don&#39;t ask for a captcha response, just a mouseover will expose it.</p>

<p>You can also customise the text which appears at the top of the form, both on first appearance and after a successful send.&nbsp;<br />
Place the following in the settings section, which must be somewhere before the call to drawform().</p>

<pre>
<span style="color:#0000CD;">setg(&#39;preamble&#39;,&#39;Please fill in this form if you wish to make an enquiry or request a quote for specific work.&#39;,&#39;contactus&#39;);
setg(&#39;postscript&#39;,&#39;We typically expect to reply to email enquiries within one working day.&#39;,&#39;contactus&#39;);</span></pre>

<p>Here&#39;s an example of what the basic php code output looks like:</p>

<hr />
<p><?php

setg('our_telephone','01 1234 567','contactus');
setg('domain_name','example','contactus');
setg('toplevel_domain','com','contactus');
setg('form_mail_account','webform','contactus');
setg('direct_mail_account','webform','contactus');
setg('subject','Website Enquiry','contactus');

include(plugin('contactus'));

contactus_drawform();
?></p>
</body>
</html>